@import 'button';

$breakpoint: "only screen and (min-width: 767px)";

body {
    font-family: Lato, Arial;
    margin: 50px;
}

header {
  h1 {
    margin-top: 40px;
    font-size: 20px;

    @media #{$breakpoint} {
      font-size: 35px;
      color: #2f20b9;
    }
  }

  h2 {
    margin-top: 30px;
    font-size: 20px;

    @media #{$breakpoint} {
      font-size: 28px;
    }
  }
}


header,
article,
footer {
  margin: 20px;

  @media #{$breakpoint} {
    width: 500px;
    margin: 50px auto;
  }
}

p {
  margin-bottom: 30px;
}

.error {
  border: 1px solid #f00;
  background-color: #fdd;
}

.serious-error {
  @extend .error;
  border-width: 3px;
}
